import os
from qgis.PyQt import QtWidgets, uic
from PyQt5.QtWidgets import QWidget, QDialog
from qgis.PyQt.QtWidgets import QMessageBox


FORM_CLASS, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'timeSeries_dockwidget_base.ui'))

class timeSeriesDockWidget(QDialog, FORM_CLASS):  
    def __init__(self, parent=None):
        
        super(timeSeriesDockWidget, self).__init__(parent)  
        
        
        
        
        
        self.setupUi(self)